package com.tuoheng.admin.enums.code.user;

/**
 * 删除用户返回码
 *      模块代码：10（用户管理）
 *      接口代码：03 （删除用户）
 *
 * @author wanjing
 * @team tuoheng
 * @date 2022-12-16
 */
public enum EditUserCodeEnum {

    EDIT_IS_FAILED(1100300, "修改失败"),
    ID_IS_NULL(1100301, "用户ID为空"),
    CODE_IS_NULL(1100302, "编号不能为空"),
    REALNAME_IS_NULL(1100303, "姓名不能为空"),
    ROLE_ID_IS_NULL(1100304, "角色不能为空"),
    DEPT_ID_IS_NULL(1100305, "部门不能为空"),
    CLIENT_ID_IS_NULL(1100306, "ClientID不能为空"),
    PHONE_NOT_IMATCH(1100307, "手机号不匹配"),
    USER_IS_NOT_EXIST(1100308, "用户不存在"),
    USERNAME_ALREADY_EXISTS(1100309, "系统中已经存在该用户名"),
    ROLE_IS_NOT_EXISTS(1100310, "该角色不存在"),
    DATA_PERMISSION_ID_IS_NULL(1100311, "数据权限不能为空");

    /**
     * 错误码
     */
    private int code;

    /**
     * 错误信息
     */
    private String msg;

    EditUserCodeEnum(int code, String msg){
        this.code = code;
        this.msg = msg;
    }

    public int getCode() {
        return code;
    }

    public void setCode(int code) {
        this.code = code;
    }

    public String getMsg() {
        return msg;
    }

    public void setMsg(String msg) {
        this.msg = msg;
    }

}
